Skip to main content
PUT
Update Tool

Authorizations

X-API-Key
string
header
required

Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

tool_id
string
required

Body

application/json

Request schema for updating a tool.

name
string | null
Maximum string length: 255
description
string | null
icon
string | null
Maximum string length: 50
icon_color
string | null
Maximum string length: 7
definition
HttpApiToolDefinition · object

Tool definition for HTTP API tools.

status
string | null

Response

Successful Response

Response schema for a tool.

id
integer
required
tool_uuid
string
required
name
string
required
description
string | null
required
category
string
required
icon
string | null
required
icon_color
string | null
required
status
string
required
definition
object
required
created_at
string<date-time>
required
updated_at
string<date-time> | null
required
created_by
CreatedByResponse · object | null

Response schema for the user who created a tool.